function dsim = downsample(im, ratio, method)
%DOWNSAMPLE downsample image matrix
% DSIM = DOWNSAMPLE(IM, RATIO, METHOD)  downsamples te image matrix IM by a
% sampling ratio RATIO. The sampling method is defined by argument METHOD
% that can be 'RECT' for rectangular smoothing and 'IDEAL' for ideal low
% pass filtering.

switch lower(method)
    case 'rect'
        
        error('downsample:unimplemented', ...
            'Unimplemented downsampling method: ''RECT''');
        
    case 'ideal'

        error('downsample:unimplemented', ...
            'Unimplemented downsampling method: ''IDEAL''');

    otherwise
        error('downsample:invalid_argument', ...
            'Invalid downsampling method: ''%s''', method);
end

end % of function
